package com.example.system.service;

import com.example.system.model.RegistrationTable;

public interface RegistrationService {
    //学生报名比赛
    Boolean enroll(RegistrationTable registration);
    //根据id修改报名状态
    Boolean updateStatus(Long registrationId, String status);
    //获取所有的报名信息
    Object getAll();
    //教师修改获奖等级和证书路径和附加信息
    Object update(RegistrationTable table);
    //获取获奖人员的参赛记录
    Object getWinInfo();
    //获取参赛总人数
    Object getCount();
    //获取成功报名并获奖的总人数
    Object getWinCount();
    //根据参赛类型获取参赛人数
    Object getCountByCompetitionType(String competitionType);
    //根据获奖等级获取参赛人数
    Object getCountByLevel(String level);
}